require 'sketchup.rb'
require 'extensions.rb'
module CURIC
	module SectionPlane
		PLUGIN      = self
		PLUGIN_NAME     = 'Curic SectionPlane Tools'.freeze
		PLUGIN_VERSION  = '1.0.3'.freeze
		unless file_loaded?( __FILE__ )
			ex = SketchupExtension.new( PLUGIN_NAME, 'curic_sp_tools/main' )
			ex.version     = PLUGIN_VERSION
			ex.copyright   = 'Vo Quoc Hai © 2017–2020'
			ex.creator     = 'Vo Quoc Hai (curic4su@gmail.com)'
			Sketchup.register_extension( ex, true )
		end
	end
end
file_loaded( __FILE__ )
